=== debian/changelog ===
deepin-update-ui (1.0.12) unstable; urgency=medium

  * feat: add deepin logo support for community edition
  * i18n: Updates for project Deepin Desktop Environment (#74)
  * fix: update translation
  * fix: update privacy policy URL handling logic
  * fix: improve update checking mechanism and activation state
  * fix: modify the prompt text for the internal test channel

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 20 May 2025 19:45:30 +0800

deepin-update-ui (1.0.11) unstable; urgency=medium

  * fix: security updates toggle for community systems is avaliable
  * fix: The switch updated by third-party sources has been reset

 -- lvpeilong <lvpeilong@uniontech.com>  Fri, 16 May 2025 16:51:49 +0800

deepin-update-ui (1.0.10) unstable; urgency=medium

  * Release 1.0.10

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 16 May 2025 11:23:48 +0800

deepin-update-ui (1.0.9) unstable; urgency=medium

  * fix: updates cannot be detected When all update models are disabled
  * fix: optimize the logic of disable and enable system updates
  * fix: fixed the issue with ui font display
  * fix: update control improvements for battery and disabled states

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 15 May 2025 21:41:12 +0800

deepin-update-ui (1.0.8) unstable; urgency=medium

  * fix: no message when the battery is less than 60% charged
  * i18n: Translate update_en.ts in ca
  * i18n: Translate update_en.ts in zh_CN
  * i18n: Translate update_en.ts in zh_HK
  * i18n: Translate update_en.ts in zh_TW
  * i18n: Translate update_en.ts in uk
  * i18n: Translate update_en.ts in zh_CN
  * i18n: Translate update_en.ts in zh_TW
  * i18n: Translate update_en.ts in sq
  * i18n: Translate update_en.ts in de_DE
  * i18n: Translate update_en.ts in pl
  * i18n: Translate update_en.ts in nl
  * i18n: Translate update_en.ts in es
  * i18n: Translate update_en.ts in zh_HK
  * i18n: Translate update_en.ts in pt_BR
  * i18n: Translate update_en.ts in fi
  * i18n: Translate update_en.ts in ca
  * fix: No history update viewing functionality
  * i18n: Translate update_en.ts in es
  * [dde-update-ui] Updates for project Deepin Desktop Environment (#52)
  * fix: disable system updates by reading the lastore configuration
  * i18n: Updates for project Deepin Desktop Environment (#47)

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 13 May 2025 20:53:56 +0800

deepin-update-ui (1.0.7) unstable; urgency=medium

  * fix: installation status optimization
  * fix: Not displaying the version and time of the last backup
  * fix: download status optimization
  * i18n: Updates for project Deepin Desktop Environment (#45)
  * feat: support continuous updates when backup fails
  * style: adjust the code structure
  * fix: Advanced settings default expansion
  * fix: improve DConfigWatcher thread safety and connection
  * feat: update translations
  * feat: add update module with privacy agreement and UI improvements

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 21:43:04 +0800

deepin-update-ui (1.0.6) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment (#32)
  * fix: check for updates by default every 24 hours
  * fix: disable automatic update check within 24 hours
  * feat: update translations
  * feat: add testing channel setting

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 10:58:00 +0800

deepin-update-ui (1.0.5) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment (#20)
  * feat: Provide a notification of backup failure
  * fix: The checkbox doesn't respond when clicked
  * chore(license): Organizing licenses and copyrights
  * feat: block the update settings
  * feat: Clear QML cache after installation
  * feat: use dbus-send instead of qdbus
  * feat: optimize the code structure
  * feat: add lock service dbus interface
  * feat: update translations
  * feat: adapt to translation platforms

 -- zhangkun <zhangkun2@uniontech.com>  Tue, 22 Apr 2025 15:42:52 +0800

deepin-update-ui (1.0.4) unstable; urgency=medium

  * chore: remove unnecessary dependencies

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 17 Apr 2025 21:48:42 +0800

deepin-update-ui (1.0.3) unstable; urgency=medium

  * fix: miss dependencies: libdtkwidget-dev
  * fix: the download package size shows 0

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 17 Apr 2025 21:45:42 +0800

deepin-update-ui (1.0.2) unstable; urgency=medium

  * feat: add update back up

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 17 Apr 2025 21:30:52 +0800

deepin-update-ui (1.0.1) unstable; urgency=medium

  * release 1.0.1

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 10 Apr 2025 17:28:42 +0800

deepin-update-ui (1.0.0) unstable; urgency=medium

  * Autobuild Tag 1.0.0

 -- YinJie <yinjie@uniontech.com>  Wed, 13 Dec 2023 15:59:16 +0800
