=== debian/control ===
Source: deepin-update-ui
Section: devel
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 pkg-config,
 cmake,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-declarative-dev,
 libdtk6core-dev,
 libdtk6gui-dev,
 libdtk6widget-dev,
 dde-control-center-dev (>=6.1.20)
Standards-Version: 4.5.0
Homepage: http://www.deepin.org/

Package: deepin-update-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: The UI collection for updating functions, including control
 center update plugins, full screen update interfaces, rollback pages, etc.
