## deepin-update-ui 1.0.19

=== debian/changelog ===
deepin-update-ui (1.0.19) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#133)

 -- xionglinlin <xionglinlin@uniontech.com>  Fri, 27 Jun 2025 10:34:38 +0800

deepin-update-ui (1.0.18) unstable; urgency=medium

  * chore: remove unused Spanish (Mexico) translation files
  * i18n: Updates for project Deepin Desktop Environment (#130)

 -- xionglinlin <xionglinlin@uniontech.com>  Mon, 23 Jun 2025 16:42:41 +0800

deepin-update-ui (1.0.17) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#127)
  * fix: improve update dialog UI and controls
  * i18n: Updates for project Deepin Desktop Environment (#126)

 -- xionglinlin <xionglinlin@uniontech.com>  Fri, 20 Jun 2025 17:25:01 +0800

deepin-update-ui (1.0.16) unstable; urgency=medium

  * i18n: Translate update_en.ts in pl
  * i18n: Translate update_en.ts in zh_CN
  * feat: Prohibit checking for updates when automatic restore is
    enabled
  * i18n: Translate update_en.ts in ca
  * feat: adapt to automatic rollback
  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#118)
  * feat: improve update log dialog and notifications
  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#116)
  * fix: enhance update list display and version info
  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#115)
  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#113)
  * i18n: Updates for project Deepin Desktop Environment (#112)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 19 Jun 2025 09:51:05 +0800

deepin-update-ui (1.0.15) unstable; urgency=medium

  * i18n: Translate dde-update_en.ts in es
  * i18n: Translate dde-update_en.ts in az
  * i18n: Translate dde-update_en.ts in nl
  * i18n: Translate dde-update_en.ts in tr
  * i18n: Translate dde-update_en.ts in sq
  * i18n: Translate dde-update_en.ts in bo
  * i18n: Translate update_en.ts in uk
  * i18n: Translate dde-update_en.ts in pt_BR
  * i18n: Translate dde-update_en.ts in hu
  * i18n: Translate dde-update_en.ts in zh_HK
  * i18n: Translate dde-update_en.ts in ug
  * i18n: Translate dde-update_en.ts in en_US
  * i18n: Translate dde-update_en.ts in ru
  * i18n: Translate update_en.ts in ja
  * i18n: Translate update_en.ts in zh_TW
  * i18n: Translate dde-update_en.ts in it
  * i18n: Translate dde-update_en.ts in uk
  * i18n: Translate dde-update_en.ts in zh_CN
  * i18n: Translate dde-update_en.ts in lt
  * i18n: Translate dde-update_en.ts in de_DE
  * i18n: Translate dde-update_en.ts in pl
  * i18n: Translate dde-update_en.ts in zh_TW
  * i18n: Translate dde-update_en.ts in ja
  * i18n: Translate update_en.ts in nl
  * i18n: Translate update_en.ts in zh_HK
  * i18n: Translate update_en.ts in pt_BR
  * i18n: Translate update_en.ts in de_DE
  * i18n: Translate update_en.ts in zh_CN
  * i18n: Translate update_en.ts in sq
  * i18n: Translate update_en.ts in pl
  * i18n: Translate update_en.ts in es
  * i18n: Translate update_en.ts in fi
  * i18n: Translate update_en.ts in ca
  * feat: update translations
  * feat: Enhance update log functionality and interface
  * feat: add update log monitoring and export functionality
  * style: Standardize changelog and control files
  * fix: correct BusyIndicator running state in UpdateControl
  * i18n: Translate update_en.ts in es
  * i18n: Translate update_en.ts in es
  * i18n: Translate update_en.ts in pt_BR
  * i18n: Translate update_en.ts in sq
  * fix: Update backup status handling and error analysis logic
  * i18n: Translate update_en.ts in ja (#100)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 12 Jun 2025 21:18:34 +0800

deepin-update-ui (1.0.14) unstable; urgency=medium

  * feat: add download control
  * i18n: Updates for project Deepin Desktop Environment (#98)
  * i18n: Updates for project Deepin Desktop Environment (#97)

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 06 Jun 2025 11:01:25 +0800

deepin-update-ui (1.0.13) unstable; urgency=medium

  * i18n: Translate update_en.ts in de_DE
  * fix: change update mode types from int to quint64
  * fix: update lastore config paths to new dde namespace
  * i18n: Updates for project Deepin Desktop Environment (#92)
  * i18n: Translate update_en.ts in zh_CN (#91)
  * [dde-update-ui] Updates for project Deepin Desktop Environment (#89)
  * chore: fix compilation warnings
  * feat: add modal update
  * [dde-update-ui] Updates for project Deepin Desktop Environment (#88)
  * [dde-update-ui] Updates for project Deepin Desktop Environment (#86)
  * fix: enable clear button in download speed limit input
  * fix: update system update icon and speed limit input
  * fix: use DccTimeRange component instead of SpinBox
  * fix: improve update status handling and UI logic
  * i18n: Translate update_en.ts in pt_BR
  * fix: improve update module state management

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 29 May 2025 16:59:19 +0800
