## deepin-update-ui 1.0.21

=== src/dcc-update-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_FLAGS "-g -Wall")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")
 
 # Find the library
 find_package(PkgConfig REQUIRED)
