=== debian/changelog ===
deepin-update-ui (1.0.21) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#143)
  * feat: add battery check before system updates

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 10 Jul 2025 20:15:41 +0800

deepin-update-ui (1.0.20) unstable; urgency=medium

  * refactor: optimize build system security flags
  * i18n: Updates for project Deepin Desktop Environment (#139)
  * fix: replace SVG icons with DCI icons in update plugin
  * i18n: Updates for project Deepin Desktop Environment (#136)
  * fix: update control and list visibility improvements
  * fix: adjust UI layout and translation settings

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:55:20 +0800
