## deepin-update-ui 1.0.24

=== debian/changelog ===
deepin-update-ui (1.0.24) unstable; urgency=medium

  * i18n: Translate update_en.ts in nl
  * i18n: Translate update_en.ts in ca
  * i18n: Translate update_en.ts in zh_CN
  * i18n: Translate update_en.ts in zh_HK
  * i18n: Translate update_en.ts in zh_TW
  * i18n: Translate update_en.ts in de_DE
  * i18n: Translate update_en.ts in ja
  * i18n: Translate update_en.ts in uk
  * i18n: Translate update_en.ts in nl
  * i18n: Translate update_en.ts in pl
  * i18n: Translate update_en.ts in zh_TW
  * i18n: Translate update_en.ts in lo
  * i18n: Translate update_en.ts in pt_BR
  * i18n: Translate update_en.ts in tr
  * i18n: Translate update_en.ts in zh_CN
  * i18n: Translate update_en.ts in zh_HK
  * i18n: Translate update_en.ts in sq
  * i18n: Translate update_en.ts in es
  * i18n: Translate update_en.ts in fi
  * i18n: Translate update_en.ts in fr
  * i18n: Translate update_en.ts in ca
  * fix: adjust widget size after update completion
  * fix: update testing channel description text

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 14 Aug 2025 20:42:50 +0800

deepin-update-ui (1.0.23) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#148)

 -- wujiangyu <wujiangyu@uniontech.com>  Tue, 12 Aug 2025 10:40:04 +0800

deepin-update-ui (1.0.22) unstable; urgency=medium

  * refactor: migrate update log monitoring to DBus interface
  * fix: improve update widget layout and button behavior
  * fix: use DStandardPaths for home directory lookup
  * refactor: improve button management and focus handling in recovery
    dialog
  * fix: set focus on upgrade button in UpdateSelectDialog

 -- WuJiangYu <wujiangyu@uniontech.com>  Fri, 01 Aug 2025 10:25:25 +0800
