=== debian/changelog ===
deepin-update-ui (1.0.31) unstable; urgency=medium

  * chore: update package license from LGPL to GPL
  * fix: multiple screens may cause display overlap

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 16 Oct 2025 20:44:08 +0800

deepin-update-ui (1.0.30) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment (#180)
  * fix: fix check update status display logic
  * Revert "fix: keep time inputs always enabled"
  * i18n: Updates for project Deepin Desktop Environment (#178)
  * fix: adjust privacy label layout in update module

 -- Xiong LinLin <xionglinlin@uniontech.com>  Sun, 28 Sep 2025 16:15:05 +0800

deepin-update-ui (1.0.29) unstable; urgency=medium

  * i18n: Translate dde-rollback_en.ts in ru (#176)

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:02:59 +0800

deepin-update-ui (1.0.28) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#172)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 11 Sep 2025 21:01:01 +0800

deepin-update-ui (1.0.27) unstable; urgency=medium

  * fix: keep time inputs always enabled

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 05 Sep 2025 10:34:19 +0800

deepin-update-ui (1.0.26) unstable; urgency=medium

  * fix: optimize system activation state refresh
  * i18n: Updates for project Deepin Desktop Environment (#169)
  * fix: add update notification red dot indicator

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 28 Aug 2025 14:32:42 +0200

deepin-update-ui (1.0.25) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment
  * fix: optimize UI elements and remove debug logs
  * refactor: improve DBus call handling and return values
  * [dde-update-ui] Updates for project Deepin Desktop Environment (#158)
  * feat: Improve log coverage
  * fix: improve UI consistency and layout in update module
  * fix: add tooltip for truncated checkbox text
  * fix: correct error message display for update failures

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 21 Aug 2025 21:36:56 +0800
