## deepin-update-ui 1.0.35

=== src/dde-update/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_FLAGS "-g -Wall")
 
 # Find the library
 find_package(PkgConfig REQUIRED)
