=== debian/changelog ===
deepin-update-ui (1.0.35) unstable; urgency=medium

  * fix: fix testing channel network access issue
  * refactor: remove hardcoded compiler flags
  * feat: add reproducible build parameters

 -- xionglinlin <xionglinlin@uniontech.com>  Mon, 24 Nov 2025 10:11:07 +0800

deepin-update-ui (1.0.34) unstable; urgency=medium

  * add debian/control dependencies with tray-loader-dev

 -- wujiangyu <wujiangyu@uniontech.com>  Fri, 14 Nov 2025 10:04:23 +0800

deepin-update-ui (1.0.33) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#193)
  * feat: add dock update plugin translation config
  * i18n: Updates for project Deepin Desktop Environment (#191)
  * feat: add dock update status plugin
  * i18n: Translate update_en.ts in ja
  * i18n: Translate update_en.ts in ja

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 13 Nov 2025 19:49:07 +0800

deepin-update-ui (1.0.32) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment

 -- lvpeilong <lvpeilong@uniontech.com>  Thu, 30 Oct 2025 20:17:28 +0800
