## deepin-update-ui 1.0.38

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,4 +39,5 @@
 add_subdirectory("src/dde-update")
 add_subdirectory("src/dde-abrecovery")
 add_subdirectory("src/dcc-update-plugin")
+add_subdirectory("src/dock-update-plugin")
