=== debian/changelog ===
deepin-update-ui (1.0.38) unstable; urgency=medium

  * fix: refresh UI model after updating log info
  * fix: separate battery warning from update failure title

 -- xionglinlin <xionglinlin@uniontech.com>  Fri, 26 Dec 2025 11:24:37 +0800

deepin-update-ui (1.0.37) unstable; urgency=medium

  * i18n: Translate dock-update-plugin_en.ts in fi
  * i18n: Updates for project Deepin Desktop Environment (#196)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 18 Dec 2025 21:42:01 +0800

deepin-update-ui (1.0.36) unstable; urgency=medium

  * feat: enhance dock update plugin visibility control
  * refactor: optimize TipsWidget geometry handling
  * fix: add tooltip and improve text display for update title

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 27 Nov 2025 17:32:29 +0800
