=== debian/changelog ===
deepin-update-ui (1.0.38.1) unstable; urgency=medium

  * fix: refresh UI model after updating log info
  * fix: separate battery warning from update failure title

 -- xionglinlin <xionglinlin@uniontech.com>  Fri, 26 Dec 2025 11:24:37 +0800
